Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.widgets
Class SWTBotToolbarToggleButton

    java.lang.Object
      org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot<ToolItem>
          org.eclipse.swtbot.swt.finder.widgets.SWTBotToolbarButton
              org.eclipse.swtbot.swt.finder.widgets.SWTBotToolbarToggleButton

    public class SWTBotToolbarToggleButton

extends SWTBotToolbarButton

Represents a tool item of type checkbox

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`description, display, log, widget`

Constructor Summary
`SWTBotToolbarToggleButton(ToolItem w)` Constructs an new instance of this item.
`SWTBotToolbarToggleButton(ToolItem w, SelfDescribing description)` Constructs an new instance of this item.

Method Summary
`SWTBotToolbarToggleButton` | `click()` Click on the tool item.
`void` | `deselect()` Deselects the checkbox button.
`boolean` | `isChecked()`
`void` | `select()` Selects the checkbox button.
`SWTBotToolbarToggleButton` | `toggle()` Click on the tool item.

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.SWTBotToolbarButton
`isEnabled, sendNotifications`

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`absoluteLocation, assertEnabled, asyncExec, backgroundColor, click, clickXY, contextMenu, contextMenu, createEvent, createMouseEvent, createSelectionEvent, doubleClickXY, foregroundColor, getId, getText, getToolTipText, hasStyle, isActive, isEnabledInternal, isVisible, keyboard, notify, notify, notify, pressShortcut, pressShortcut, pressShortcut, rightClick, rightClick, setFocus, sleep, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, toString, traverse, waitForEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotToolbarToggleButton

    public SWTBotToolbarToggleButton(ToolItem w)
                              throws WidgetNotFoundException

  Constructs an new instance of this item.

  Parameters:
    `w` - the tool item.
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

### SWTBotToolbarToggleButton

    public SWTBotToolbarToggleButton(ToolItem w,
                                     SelfDescribing description)
                              throws WidgetNotFoundException

  Constructs an new instance of this item.

  Parameters:
    `w` - the tool item.
    `description` - the description of the widget, this will be reported by `AbstractSWTBot.toString()`
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

Method Detail

### toggle

    public SWTBotToolbarToggleButton toggle()

  Click on the tool item. This will toggle the tool item.

  Returns:
    itself

### click

    public SWTBotToolbarToggleButton click()

  Description copied from class: `SWTBotToolbarButton`
  Click on the tool item.

  Specified by:
    `click` in class `SWTBotToolbarButton`
  Returns:
    itself.

### select

    public void select()

  Selects the checkbox button.

### deselect

    public void deselect()

  Deselects the checkbox button.

### isChecked

    public boolean isChecked()

  Returns:
    `true` if the button is checked, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD